Index: tests/regression/Selection/Atoms/testsuite-selection-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/testsuite-selection-atoms-of-molecule.at	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/testsuite-selection-atoms-of-molecule.at	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,49 @@
+### 4. (un)select all atoms of molecule
+
+AT_SETUP([Selection - All atoms of selected molecules])
+AT_KEYWORDS([selection])
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecules-atoms 1 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecules-atoms 1 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecules-atoms 1 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecules-atoms 2 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecules-atoms 2 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecules-atoms 2 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Unselection - All atoms of selected molecules])
+AT_KEYWORDS([selection])
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --unselect-molecules-atoms 1 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --unselect-molecules-atoms 1 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/empty.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --unselect-molecules-atoms 1 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --unselect-molecules-atoms 2 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --unselect-molecules-atoms 2 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/empty.xyz], 0, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/pre/test.xyz $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --unselect-molecules-atoms 2 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/4/post/$file], 0, [ignore], [ignore])
+AT_CLEANUP
